org.apache.hc.core5.testing.nio

## Class LoggingH2StreamListener

- java.lang.Object
- - org.apache.hc.core5.testing.nio.LoggingH2StreamListener

- All Implemented Interfaces:
    H2StreamListener

      public class LoggingH2StreamListener
      extends Object
      implements H2StreamListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingH2StreamListener` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFrameInput(HttpConnection connection, int streamId, RawFrame frame)`
    `void` | `onFrameOutput(HttpConnection connection, int streamId, RawFrame frame)`
    `void` | `onHeaderInput(HttpConnection connection, int streamId, List<? extends Header> headers)`
    `void` | `onHeaderOutput(HttpConnection connection, int streamId, List<? extends Header> headers)`
    `void` | `onInputFlowControl(HttpConnection connection, int streamId, int delta, int actualSize)`
    `void` | `onOutputFlowControl(HttpConnection connection, int streamId, int delta, int actualSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggingH2StreamListener INSTANCE

  - ### Method Detail

    - #### onHeaderInput

          public void onHeaderInput(HttpConnection connection,
                                    int streamId,
                                    List<? extends Header> headers)

      Specified by:
        `onHeaderInput` in interface `H2StreamListener`

    - #### onHeaderOutput

          public void onHeaderOutput(HttpConnection connection,
                                     int streamId,
                                     List<? extends Header> headers)

      Specified by:
        `onHeaderOutput` in interface `H2StreamListener`

    - #### onFrameInput

          public void onFrameInput(HttpConnection connection,
                                   int streamId,
                                   RawFrame frame)

      Specified by:
        `onFrameInput` in interface `H2StreamListener`

    - #### onFrameOutput

          public void onFrameOutput(HttpConnection connection,
                                    int streamId,
                                    RawFrame frame)

      Specified by:
        `onFrameOutput` in interface `H2StreamListener`

    - #### onInputFlowControl

          public void onInputFlowControl(HttpConnection connection,
                                         int streamId,
                                         int delta,
                                         int actualSize)

      Specified by:
        `onInputFlowControl` in interface `H2StreamListener`

    - #### onOutputFlowControl

          public void onOutputFlowControl(HttpConnection connection,
                                          int streamId,
                                          int delta,
                                          int actualSize)

      Specified by:
        `onOutputFlowControl` in interface `H2StreamListener`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.